package com.example.modifier.model

import kotlinx.serialization.Serializable

@Serializable
class StoreNumberAction : BaseAction {
    companion object {
        const val NAME = "storeNumber"
    }

    val data: StoreNumberData?

    constructor(id: String, data: StoreNumberData?) : super(id, NAME) {
        this.data = data
    }
}

@Serializable
data class StoreNumberData(val num: Int?)